<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetCustomData Method (IEdmReference5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmReference5 Interface : SetCustomData Method (IEdmReference5)

Visual Basic
C#
C++/CLI

lDataID
  User-defined ID of data to store

poData
  Data to store

Stores an arbitrary piece of data in this object.

# Syntax

Visual Basic |
--- | ---

    Sub SetCustomData( _
       ByVal lDataID As System.Integer, _
       ByRef poData As System.Object _
    )

C# |
--- | ---

    void SetCustomData(
       System.int lDataID,
       ref System.object poData
    )

C++/CLI |
--- | ---

    void SetCustomData(
    &   System.int lDataID,
    &   System.Object^% poData
    )

#### Parameters

lDataID
  User-defined ID of data to store
poData
  Data to store

# Remarks

The data is only stored in memory and is kept as long as IEdmReference5 is add-referenced. You can get the stored data by calling IEdmReference5::GetCustomData.

Return code S_OK indicates that the method successfully executed.

# See Also

####

IEdmReference5 Interface
IEdmReference5 Members

# Availability

Version 5.2 of SOLIDWORKS PDM Professional